/* funky snack app font (MY FAV FONT)*/
@import url("https://fonts.googleapis.com/css2?family=Baloo+Tamma+2:wght@800&display=swap");

/* p tag and body paragraphs */
@import url("https://fonts.googleapis.com/css2?family=Lexend&display=swap");

/* nav bar titles */
@import url('https://fonts.googleapis.com/css2?family=Belanosima:wght@600&display=swap');

/* font tag styles */
h2 {
  font-family: 'Belanosima', sans-serif;
  color: white;
  text-align: center;
  font-size: 20px;
  }
  
h3,h1 {
  font-family: 'Belanosima', sans-serif;
  color: white;
}

  
p {
  color: white;
  font-family: "Lexend", sans-serif;
  font-size: 15px;
}
  
/* custom bubble cursor */
* {

  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.cursor {
  width: 20px;
  height: 20px;
  border-radius: 100%;
  background-color: black;
  opacity: 0.5;
  position: fixed;
  transform: translate(-50%, -50%);
  pointer-events: none;
  transition: width 0.3s, height 0.3s, opacity 0.3s;
}
.cursorinnerhover {
  width: 50px;
  height: 50px;
  opacity: 0.5;
}


/* gradient background */
body {
  background: linear-gradient(-45deg, #feac5e, #c779d0, #4bc0c8);
  background-size: 200% 200%;
  animation: page-background 15s ease infinite;
  overflow-x: hidden;
}
@keyframes page-background {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

/* copyright footer */
footer {
  text-align: center;
  padding: 15px;
  color: #333; /* dark text color */
  font-size: 14px;

}

footer a {
  color: #0073e6; /* link color */
  text-decoration: none;
}

footer a:hover {
  text-decoration: underline;
}









/* homepage styles */

/* headshot on home page with elastic effect */
.image-container{
  transition: transform 0.3s ease-out;
  will-change: transform;
}

.elastic-image {
  height: 500px;
  border-radius: 500px;
  object-fit: cover; 
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.147); 
}

/* linkedin button  */
.btn-primary {
  width: fit-content;
  height: fit-content;
  padding: 1.5rem 2.5rem;
  font-size: 16px;
  font-weight: 600;
  text-align: center;
  cursor: pointer;
  border: none;
  border-radius: 50px;

  background-size: 300% 100%;
  -moz-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}

.btn-primary:hover {
  background-position: 100% 0;
  -moz-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}

.btn-primary:focus {
  outline: none;
}

.btn-primary.btn-gradient {
  background-image: linear-gradient(
    to right,
    #667eea,
    #764ba2,
    #6b8dd6,
    #8e37d7
  );
  box-shadow: 0 4px 15px 0 rgba(116, 79, 168, 0.75);
  color: #fff !important;
}







/* Contact Page Styles */
.title {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  margin: 3rem 4rem;
  font-size: 80px;
  color: white;
  background-color: #51b6ba;
  border: 4px solid #85e0d5;
  border-radius: 50px;
}
.title h1 {
  width: fit-content;
  margin: 0;
  padding: 0;
}

/* Naviagtion bar styles */
/* .navigation {
  float: right;
  text-align: right;
  font-family: "Fredoka One", cursive;
  color: white;
} */
/* commented out becaue it isnt used */
#navbar div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* makes all wapper divs in the navbar have centered images and text,
  and is easier than writing out the classes for each div */
}

/* Originally #icon - changed to match HTML */
.icon:hover {
  transform: scale(1.1);
}
.icon {
  transition: all 0.2s ease-in-out;
  height: 100px;
}

/* Styles for Contact Page */
.column {
  flex: 30%;
  padding: 5px;
}

.contactnavigation {
  font-family: "Fredoka One", cursive;
  color: white;
  text-align: center;
  display: flex;
}

/* Styles for Bobby the Lamp Page */

.bobbysite {
  height: 1200px;
  width: 350px;
  border-radius: 15px;
  overflow-x: hidden;
}








